MarinerWrtTextInternal::Paragraph::BorderFill Struct Reference documentation

MarinerWrtTextInternal::Paragraph::BorderFill Struct Reference

small structure to store border/fills properties in MarinerWrtText More...

## Public Member Functions
| BorderFill ()
| constructor
bool | isDefault () const
| return true if the properties are default properties
void | resetBackgroundColor ()
| reset the background color
bool | hasBackgroundColor () const
| return true if we have a not white background color
MWAWColor | getBackgroundColor (float percent) const
| returns the background color knowing the pattern percent
void | resetBorders ()
| reset the borders
bool | hasBorders () const
| return true if we have border
MWAWBorder | getBorder (int pos) const
| return a border corresponding to a pos

## Public Attributes
MWAWColor | m_foreColor
| the foreground color
MWAWColor | m_backColor
| the background color
int | m_patternId
| the pattern id
MWAWColor | m_borderColor
| the border color
int | m_borderTypes [4]
| the border type L T R B

## Friends
std::ostream & | operator<< (std::ostream &o, Paragraph::BorderFill const &fill)
| operator<<

## Detailed Description

small structure to store border/fills properties in MarinerWrtText

## Constructor & Destructor Documentation

## ◆ BorderFill()

MarinerWrtTextInternal::Paragraph::BorderFill::BorderFill | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getBackgroundColor()

MWAWColor MarinerWrtTextInternal::Paragraph::BorderFill::getBackgroundColor | ( | float | percent | ) | const
| inline

returns the background color knowing the pattern percent

## ◆ getBorder()

MWAWBorder MarinerWrtTextInternal::Paragraph::BorderFill::getBorder | ( | int | pos | ) | const

return a border corresponding to a pos

## ◆ hasBackgroundColor()

bool MarinerWrtTextInternal::Paragraph::BorderFill::hasBackgroundColor | ( |  | ) | const
| inline

return true if we have a not white background color

Referenced by isDefault(), and operator<<.

## ◆ hasBorders()

bool MarinerWrtTextInternal::Paragraph::BorderFill::hasBorders | ( |  | ) | const
| inline

return true if we have border

Referenced by isDefault(), and operator<<.

## ◆ isDefault()

bool MarinerWrtTextInternal::Paragraph::BorderFill::isDefault | ( |  | ) | const
| inline

return true if the properties are default properties

Referenced by MarinerWrtTextInternal::Paragraph::operator<<.

## ◆ resetBackgroundColor()

void MarinerWrtTextInternal::Paragraph::BorderFill::resetBackgroundColor | ( |  | ) |
| inline

reset the background color

Referenced by MarinerWrtText::readRulers().

## ◆ resetBorders()

void MarinerWrtTextInternal::Paragraph::BorderFill::resetBorders | ( |  | ) |
| inline

reset the borders

Referenced by MarinerWrtText::readRulers().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Paragraph::BorderFill const & | fill )
| friend

operator<<

## Member Data Documentation

## ◆ m_backColor

MWAWColor MarinerWrtTextInternal::Paragraph::BorderFill::m_backColor

the background color

Referenced by BorderFill(), getBackgroundColor(), hasBackgroundColor(), operator<<, MarinerWrtText::readRulers(), and resetBackgroundColor().

## ◆ m_borderColor

MWAWColor MarinerWrtTextInternal::Paragraph::BorderFill::m_borderColor

the border color

Referenced by BorderFill(), getBorder(), operator<<, and MarinerWrtText::readRulers().

## ◆ m_borderTypes

int MarinerWrtTextInternal::Paragraph::BorderFill::m_borderTypes[4]

the border type L T R B

Referenced by BorderFill(), getBorder(), hasBorders(), operator<<, and resetBorders().

## ◆ m_foreColor

MWAWColor MarinerWrtTextInternal::Paragraph::BorderFill::m_foreColor

the foreground color

Referenced by BorderFill(), getBackgroundColor(), hasBackgroundColor(), operator<<, MarinerWrtText::readRulers(), and resetBackgroundColor().

## ◆ m_patternId

int MarinerWrtTextInternal::Paragraph::BorderFill::m_patternId

the pattern id

Referenced by BorderFill(), hasBackgroundColor(), operator<<, MarinerWrtText::readRulers(), resetBackgroundColor(), and MarinerWrtText::sendTable().

The documentation for this struct was generated from the following file:

- MarinerWrtText.cxx